- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libwps::StorageIO Class Reference

## Public Member Functions
| StorageIO (Storage *storage, shared_ptr< WPXInputStream > is)
| ~StorageIO ()
bool | isOLEStream ()
void | load ()
unsigned long | loadBigBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadBigBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
StreamIO * | streamIO (const std::string &name)
std::vector< std::string > | getOLENames ()

## Public Attributes
Storage * | storage
shared_ptr< WPXInputStream > | input
int | result
Header * | header
DirTree * | dirtree
AllocTable * | bbat
AllocTable * | sbat
std::vector< unsigned long > | sb_blocks
bool | isLoadDone

## Private Member Functions
| StorageIO (const StorageIO &)
StorageIO & | operator= (const StorageIO &)

## Constructor & Destructor Documentation

libwps::StorageIO::StorageIO | ( | libwps::Storage * | st,
|  | shared_ptr< WPXInputStream > | is
| ) |  |

libwps::StorageIO::~StorageIO | ( |  | ) |

libwps::StorageIO::StorageIO | ( | const StorageIO & |  | ) |
| private

## Member Function Documentation

std::vector< std::string > libwps::StorageIO::getOLENames | ( |  | ) |

bool libwps::StorageIO::isOLEStream | ( |  | ) |

void libwps::StorageIO::load | ( |  | ) |

unsigned long libwps::StorageIO::loadBigBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

unsigned long libwps::StorageIO::loadBigBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

unsigned long libwps::StorageIO::loadSmallBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

unsigned long libwps::StorageIO::loadSmallBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

StorageIO& libwps::StorageIO::operator= | ( | const StorageIO & |  | ) |
| private

libwps::StreamIO * libwps::StorageIO::streamIO | ( | const std::string & | name | ) |

## Member Data Documentation

AllocTable* libwps::StorageIO::bbat

Referenced by StorageIO(), and libwps::StreamIO::StreamIO().

DirTree* libwps::StorageIO::dirtree

Header* libwps::StorageIO::header

Referenced by StorageIO(), and libwps::StreamIO::StreamIO().

shared_ptr<WPXInputStream> libwps::StorageIO::input

bool libwps::StorageIO::isLoadDone

int libwps::StorageIO::result

std::vector<unsigned long> libwps::StorageIO::sb_blocks

AllocTable* libwps::StorageIO::sbat

Referenced by StorageIO(), and libwps::StreamIO::StreamIO().

Storage* libwps::StorageIO::storage

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp